.instagram-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr; }
  @media (max-width: 1099px) {
    .instagram-grid {
      grid-template-columns: 1fr 1fr; } }

.instagram-card {
  position: relative;
  transition: all 0.3s ease; }
  @media (max-width: 1099px) {
    .instagram-card:nth-child(-n+2) {
      display: none; } }
  @media (min-width: 1100px) {
    .instagram-card:hover {
      cursor: pointer; }
      .instagram-card:hover .instagram-card__back {
        opacity: 1;
        visibility: visible; } }
  .instagram-card__inner {
    height: 100%;
    transition: box-shadow 0.3s ease; }
  .instagram-card__header {
    padding-bottom: 100%;
    position: relative; }
    .instagram-card__header .lazy-img-wrap {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      display: flex;
      align-items: center;
      justify-content: center; }
      .instagram-card__header .lazy-img-wrap img {
        width: 100%;
        height: 100%;
        object-fit: cover; }
  .instagram-card__back {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    opacity: 0;
    visibility: hidden;
    background: rgba(19, 22, 43, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    transition: all ease .3s;
    fill: #ffffff;
    color: #ffffff;
    font-weight: 700; }
  .instagram-card__icon {
    display: flex;
    align-items: center; }
  @media (max-width: 575px) {
    .instagram-card {
      border: none; } }
